Page MenuHomePhabricator

Banner history: encode all hide reasons
Closed, ResolvedPublic1 Story Points

Description

We need to deal with old hide cookies that didn't include the integer value of the hide reason enum, and onwiki scripts that use raw string hide reasons. The easiest solution is probably to create a reference table of all known hide reasons, in ext.centralNotice.display.state.js, and translate raw strings into Reason objects to be included in the banner history log.

Event Timeline

awight created this task.Sep 25 2015, 10:24 PM
awight claimed this task.
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a project: Fundraising-Backlog.
awight set Security to None.
awight added subscribers: DStrine, Aklapper, awight.
awight updated the task description. (Show Details)Sep 25 2015, 10:27 PM

Change 241753 had a related patch set uploaded (by Awight):
WIP enum for banner hide reasons

https://gerrit.wikimedia.org/r/241753

awight edited a custom field.Sep 28 2015, 10:23 PM
awight moved this task from Review to Pending Deployment on the Fundraising Sprint Tom Waits board.

Change 241938 had a related patch set uploaded (by Awight):
Add more banner hide reasons

https://gerrit.wikimedia.org/r/241938

Change 241753 merged by jenkins-bot:
Enum for banner hide reasons

https://gerrit.wikimedia.org/r/241753

Change 241948 had a related patch set uploaded (by AndyRussG):
Enum for banner hide reasons

https://gerrit.wikimedia.org/r/241948

Change 241948 merged by Awight:
Enum for banner hide reasons

https://gerrit.wikimedia.org/r/241948

AndyRussG closed this task as Resolved.Sep 29 2015, 1:27 AM
AndyRussG moved this task from Pending Deployment to Done on the Fundraising Sprint Tom Waits board.
awight reopened this task as Open.Sep 29 2015, 5:45 PM
awight moved this task from Done to Review on the Fundraising Sprint Tom Waits board.

Reopening to highlight remaining patch.

Change 241938 merged by jenkins-bot:
Add more banner hide reasons

https://gerrit.wikimedia.org/r/241938

awight closed this task as Resolved.Oct 14 2015, 10:07 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:37 PM